<?xml version="1.0" encoding="UTF-8"?>
<program xmlns="http://www.nomoseed.org/program" name="tutorial_4">
  <header xmlns="http://www.nomoseed.org/project">
    <author>Cédric Coussinet (cedric.coussinet@nomoseed.net)</author>
    <copyright>
      <mention xml:lang="en">
        Copyright (2013) Cédric Coussinet
      </mention>
    </copyright>
    <license name="GPLv3">
      <mention xml:lang="en">
        This program is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published
        by the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.
        
        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
        GNU General Public License for more details.
        
        You should have received a copy of the GNU General Public License
        along with this program. If not, see http://www.gnu.org/licenses
      </mention>
    </license>
    <datetime>2014-07-08T09:59:18Z</datetime>
    <version/>
    <annotation>
      <documentation xml:lang="fr">
        Programmme correspondant à l'exemple de création d'une perception avec une commande associée dans le cadre du tutoriel sur la création de règle.
      </documentation>
    </annotation>
  </header>
  <body>
    <models xmlns:xi="http://www.w3.org/2001/XInclude">
      <new instance="tutorial_4">
        <xi:include href="tutorial_4.mod" parse="xml"/>
      </new>
    </models>
    <scheme xmlns="http://www.nomoseed.org/program">
      <rule name="advance">
        <conclusion model="tutorial_4" category="command" type="motor">
          <information value="advance"/>
          <output value="2"/>
        </conclusion>
      </rule>
      <rule name="sound_unknown" relevance="1">
        <premise model="tutorial_4" category="input" type="sound">
          <information tolerance="INF"/>
        </premise>
        <conclusion model="tutorial_4" category="perception" type="sound">
          <information value="default"/>
        </conclusion>
      </rule>
      <rule name="sound_primal" relevance="0">
        <conclusion model="tutorial_4" category="command" type="sound">
          <information value="default"/>
          <output value="200"/>
        </conclusion>
      </rule>
      <rule name="begin_affectation">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="0" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_affectation"/>
        </conclusion>
      </rule>
      <rule name="scope_sound">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="0" tolerance="0"/>
        </premise>
        <conclusion model="tutorial_4" category="scope" type="register_00">
          <information value="sound"/>
        </conclusion>
      </rule>
      <rule name="copy_sound">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="0" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_00">
          <information value="get_there"/>
        </conclusion>
      </rule>
      <rule name="create_perception">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="0" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_01">
          <information value="create_perception_forward"/>
        </conclusion>
      </rule>
      <rule name="target_reference">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="1" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_01">
          <information value="transform_in_temporal_reference_and_origin"/>
        </conclusion>
      </rule>
      <rule name="begin_excitation">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="2" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_excitation"/>
        </conclusion>
      </rule>
      <rule name="create_premise">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="2" tolerance="0"/>
        </premise>
        <conclusion model="tutorial_4" category="operator" type="register_00">
          <information value="create_premise_1"/>
        </conclusion>
      </rule>
      <rule name="begin_finalization">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="3" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_finalization"/>
        </conclusion>
      </rule>
      <rule name="create_conclusion">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="3" tolerance="0"/>
        </premise>
        <conclusion model="tutorial_4" category="operator" type="register_01">
          <information value="create_conclusion_1"/>
        </conclusion>
      </rule>
      <rule name="begin_affectation_2">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="4" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_affectation"/>
        </conclusion>
      </rule>
      <rule name="create_command">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="4" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_02">
          <information value="create_command"/>
        </conclusion>
      </rule>
      <rule name="target_perception">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="4" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_01">
          <information value="target"/>
        </conclusion>
      </rule>
      <rule name="target_reference_2">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="5" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="operator" type="register_02">
          <information value="transform_in_temporal_reference_and_origin"/>
        </conclusion>
      </rule>
      <rule name="begin_excitation_2">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="6" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_excitation"/>
        </conclusion>
      </rule>
      <rule name="begin_finalization_2">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="7" tolerance="0"/>
        </premise>
        <conclusion model="plant" category="transition" type="transition">
          <information value="begin_finalization"/>
        </conclusion>
      </rule>
      <rule name="create_conclusion_2">
        <premise model="tutorial_4" category="command" type="sound">
          <information value="default" tolerance="0"/>
          <credibility tolerance="INF"/>
          <timespan value="7" tolerance="0"/>
        </premise>
        <conclusion model="tutorial_4" category="operator" type="register_02">
          <information value="create_conclusion_1"/>
        </conclusion>
      </rule>
    </scheme>
  </body>
</program>
